XMPP Namespace Reference

## Namespaces

| C2S
| Disco
| JEP-0030 Service Discovery classes.
| MUC

## Classes

class | BareJID
class | BaseStreamHandler
class | Identity
class | IQ
class | JID
class | Message
class | Presence
class | Roster
class | Stanza
| XMPP stanzas: the following classes represent the three stanzas (PDUs) defined by the xmpp protocol. More...
class | Stream
| This class represents a XMPP stream, i.e. More...
class | Transport
| This interface is the base class of each XMPP transport class. More...

## Functions

const PCaselessString & | LanguageTag ()
| Various constant strings. More...
const PCaselessString & | NamespaceTag ()
const PCaselessString & | MessageStanzaTag ()
const PCaselessString & | PresenceStanzaTag ()
const PCaselessString & | IQStanzaTag ()
const PCaselessString & | IQQueryTag ()
| PLIST (StanzaList, Stanza)
| IdentityList (PXMLElement *list)
PXMLElement * | AsXML (PXMLElement *parent) const

## Function Documentation

## AsXML()

PXMLElement* XMPP::AsXML | ( | PXMLElement * | parent | ) | const

Referenced by Info::GetFeatures(), XMPP::Identity::GetName(), and XMPP::Disco::Item::GetNode().

## IdentityList()

XMPP::IdentityList | ( | PXMLElement * | list | ) |

## IQQueryTag()

const PCaselessString& XMPP::IQQueryTag | ( |  | ) |

## IQStanzaTag()

const PCaselessString& XMPP::IQStanzaTag | ( |  | ) |

## LanguageTag()

const PCaselessString& XMPP::LanguageTag | ( |  | ) |

Various constant strings.

## MessageStanzaTag()

const PCaselessString& XMPP::MessageStanzaTag | ( |  | ) |

## NamespaceTag()

const PCaselessString& XMPP::NamespaceTag | ( |  | ) |

## PLIST()

XMPP::PLIST | ( | StanzaList | ,
|  | Stanza |
| ) |  |

## PresenceStanzaTag()

const PCaselessString& XMPP::PresenceStanzaTag | ( |  | ) |